import { jsx, jsxs, Fragment } from "react/jsx-runtime";
import "react";
import { NetlifySDKProvider } from "../NetlifySDKProvider.js";
import { Theme } from "../theme/Theme.js";
import { useWindowResizer } from "../use_window_resizer.js";
import { FullstorySetup } from "./FullstorySetup.js";
import { LinkProvider } from "@netlify/ui";
import { SvgProvider, defaultImportSvg } from "./SvgProvider.js";
const Resizer = ({ children }) => {
  useWindowResizer();
  return /* @__PURE__ */ jsx(Fragment, { children });
};
const renderLink = ({ href, ...otherProps }) => /* @__PURE__ */ jsx("a", { ...otherProps, href, rel: "noopener noreferrer", target: "_blank" });
const NetlifyExtensionUI = ({ children }) => {
  return /* @__PURE__ */ jsx(NetlifySDKProvider, { children: /* @__PURE__ */ jsx(Resizer, { children: /* @__PURE__ */ jsx(SvgProvider, { importSvg: defaultImportSvg, children: /* @__PURE__ */ jsxs(LinkProvider, { renderLink, children: [
    /* @__PURE__ */ jsx(Theme, {}),
    /* @__PURE__ */ jsx(FullstorySetup, {}),
    children
  ] }) }) }) });
};
export {
  NetlifyExtensionUI
};
//# sourceMappingURL=NetlifyExtensionUI.js.map
