import { default as React } from 'react';

export declare enum IconNameToPath {
    "caret-down" = "icons/icon-caret-down",
    "copy-clipboard" = "inline/icon-copy-clipboard",
    "close" = "inline/icon-close",
    "eye-closed" = "icons/icon-eye-closed",
    "eye-open" = "icons/icon-eye-open",
    "gear" = "icons/icon-gear",
    "info-round" = "icons/icon-info-round",
    "status-checkmark" = "inline/icon-status-checkmark",
    "success" = "inline/icon-success",
    "warning-round" = "icons/icon-warning-round",
    "warning-triangle" = "icons/icon-warning-triangle"
}
export type IconName = keyof typeof IconNameToPath;
export type IconPath = IconNameToPath[keyof IconNameToPath];
export type SvgProviderProps = {
    children: React.ReactNode;
    importSvg: (path?: IconPath | undefined) => Promise<{
        ReactComponent: React.ElementType<React.SVGProps<SVGSVGElement>>;
    }>;
};
export declare const SvgProvider: (props: SvgProviderProps) => React.JSX.Element;
export declare const defaultImportSvg: SvgProviderProps["importSvg"];
//# sourceMappingURL=SvgProvider.d.ts.map