import { default as React } from 'react';

export type VisualEditorConfigurationSurfaceProps = {
    /**
     * Content to render within the element.
     */
    children?: React.ReactNode | undefined;
    /**
     * A class property to attach to the element.
     *
     * @see {@link !Element.className}
     */
    className?: string | undefined;
};
/**
 * A container element used to render the Visual Editor Configuration surface. This component will
 * take care of styling your component so it looks good under **Site configuration > Visual editor > Content sources > Add a content source**
 * in the Netlify UI.
 *
 * <!-- TODO(ndhoule): Add a screenshot here -->
 *
 * @param props
 * @see Surfaces.VisualEditorConfiguration
 * @example
 * ```tsx
 * import { VisualEditorConfigurationSurface } from "@netlify/sdk/react/components";
 *
 * <VisualEditorConfigurationSurface>
 *   <div>Your surface content goes here</div>
 * </VisualEditorConfigurationSurface>
 * ```
 */
export declare const VisualEditorConfigurationSurface: ({ className, children, ...otherProps }: VisualEditorConfigurationSurfaceProps) => React.JSX.Element;
//# sourceMappingURL=VisualEditorConfigurationSurface.d.ts.map